var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
/**
 * Skeleton renderer by type
 */
export class VegaSkeletonRendererManager extends VegaSlimmer {
  render() {
    switch (this.type) {
      case 'text':
        return this.vegaSkeletonTextRenderer.render();
      case 'paragraph':
        return this.vegaSkeletonParagraphRenderer.render();
      case 'full-width-paragraph':
        return this.vegaSkeletonFullWidthParagraphRenderer.render();
      case 'ellipse':
        return this.vegaSkeletonEllipseRenderer.render();
      case 'image':
        return this.vegaSkeletonImageRenderer.render();
      case 'table':
        return this.vegaSkeletonTableRenderer.render();
    }
  }
}
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "type", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonTextRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonParagraphRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonFullWidthParagraphRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonEllipseRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonImageRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaSkeletonRendererManager.prototype, "vegaSkeletonTableRenderer", void 0);
